Get standards setup
curl --request GET \
--url https://app.msportal.ai/api/public/v1/standards/settings/setup \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.msportal.ai/api/public/v1/standards/settings/setup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.msportal.ai/api/public/v1/standards/settings/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.msportal.ai/api/public/v1/standards/settings/setup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.msportal.ai/api/public/v1/standards/settings/setup"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.msportal.ai/api/public/v1/standards/settings/setup")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.msportal.ai/api/public/v1/standards/settings/setup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"standards": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"categoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"categoryName": "<string>",
"vendor": "<string>",
"isRequired": true,
"skuMappingCount": 123,
"detectionRules": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "software",
"provider": "<string>",
"matchKey": "<string>",
"displayLabel": "<string>",
"minCount": 123
}
],
"tierIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
],
"categories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"tiers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "plan",
"color": "platinum",
"description": "<string>",
"sortOrder": 123,
"skus": [
{
"provider": "connectwise",
"matchType": "service",
"matchKey": "<string>",
"displayLabel": "<string>"
}
]
}
],
"companyTypes": [
{
"name": "<string>",
"companyCount": 123,
"tierId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"hasBillingCatalog": true,
"activeCompanyCount": 123,
"answers": {}
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Standards
Get standards setup
Guided Standards setup facts: plans, add-ons and their billing SKUs, standards and detection rules, company-type mappings and saved setup answers. Staff only; requires read_settings_tool_stack.
GET
/
api
/
public
/
v1
/
standards
/
settings
/
setup
Get standards setup
curl --request GET \
--url https://app.msportal.ai/api/public/v1/standards/settings/setup \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.msportal.ai/api/public/v1/standards/settings/setup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.msportal.ai/api/public/v1/standards/settings/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.msportal.ai/api/public/v1/standards/settings/setup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.msportal.ai/api/public/v1/standards/settings/setup"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.msportal.ai/api/public/v1/standards/settings/setup")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.msportal.ai/api/public/v1/standards/settings/setup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"standards": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"categoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"categoryName": "<string>",
"vendor": "<string>",
"isRequired": true,
"skuMappingCount": 123,
"detectionRules": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "software",
"provider": "<string>",
"matchKey": "<string>",
"displayLabel": "<string>",
"minCount": 123
}
],
"tierIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
],
"categories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"tiers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "plan",
"color": "platinum",
"description": "<string>",
"sortOrder": 123,
"skus": [
{
"provider": "connectwise",
"matchType": "service",
"matchKey": "<string>",
"displayLabel": "<string>"
}
]
}
],
"companyTypes": [
{
"name": "<string>",
"companyCount": 123,
"tierId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"hasBillingCatalog": true,
"activeCompanyCount": 123,
"answers": {}
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Was this page helpful?